<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vars"                                                |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / August 2013

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');


// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');
?>

<script type="text/javascript"><!--

	var whichColor = '';
    var colorList = new Array();
    var colNum = 0;


function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}
	function pickedColor(color)
	{
		if (!color) return;
		eval('document.vars.'+whichColor+'.value="'+color+'";');
		eval('document.vars.'+whichColor+'_show.style.backgroundColor="'+color+'";');
        colorize()
	}

	function getPickedColor()
	{
		return eval(whichColor+'.value;');
	}

	function colorize()
	{
        for (var i = 0; i < colorList.length; i++)
		    document.getElementById('actual_hover_'+colorList[i]+'_show').style.backgroundColor = document.getElementById('actual_hover_'+colorList[i]).value;
	}

//--> </script>

<?php
		printPageHeader(
			__('Variables'),
			__('In this view you can work on the variables.'),
			'http://manual.conpresso4.de/vars/application.htm',
			true,
			'modules'
		);

		require(CPO_BASEDIR."_include/message.php");

		echo '<form method="post" action="'.BASE_ABS.'_admin/articles.php" name="vars">';
		echo '<input type="hidden" name="save_vars" value="1">';
 
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Variables').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

			$query_vars = "SELECT * FROM ".$dbPrefix."_mod_vars WHERE rubric_id=".$_SESSION['SID_rubric_id']; 
			DEBUG(1, $query_vars, __FILE__, __LINE__);
			$db_vars = new DB;
			$db_vars->query($query_vars);
			while ($db_vars->next_record())  {
				$var_content[$db_vars->v('var')] = $db_vars->v('value');
			}
		
			$fields = explode("\n", trim($activeModules['Vars']['custom_fields']));
            $colNum = 0;
			foreach($fields AS $field)
			{	
				$fieldset = explode($paramsDivider, trim($field));
                if (!isset($_POST['cpoRubricSettings'][$fieldset[0]])) $_POST['cpoRubricSettings'][$fieldset[0]] = $t_cpoRubricSettings[$fieldset[0]];
                $field_string = $fieldset[0].($fieldset[1]==1 ? ' ('.__('necessary').')<input type="hidden" name="personal_necessary[]" value="'.$fieldset[0].'" />' : '');
				echo '<tr>';
					switch (strtolower($fieldset[2])) {
						case 'comment':
                            echo '<td class="leftrow" colspan="2">'.$field_string;
							break;
						case 'select':
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							$values = explode ($valueDivider, trim($fieldset[3]));
							echo '<select name="var['.$fieldset[0].']">';
							foreach ($values AS $v)  {
								$selected = ($var_content[$fieldset[0]]==$v) ? ' selected="selected"' : '';
								echo '<option value="'.$v.'"'.$selected.'>'.$v.'</option>';
							}
							echo '</select>';
							break;
						case 'option':
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							$values = explode ($valueDivider, trim($fieldset[3]));
							foreach ($values AS $v)  {
								$checked = ($var_content[$fieldset[0]]==$v) ? ' checked="checked"' : '';
								echo '<input type="radio" name="var['.$fieldset[0].']" id="'.$v.'" value="'.$v.'"'.$checked.' /> <label for="'.$v.'">'.$v.'</label><br />';
							}
							break;
						case 'checkbox':
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							$checked = ($var_content[$fieldset[0]]) ? ' checked="checked"' : '';
							echo '<input type="checkbox" name="var['.$fieldset[0].']" value="1"'.$checked.' />';
							break;
						case 'text':
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							echo '<input type="text" class="text" name="var['.$fieldset[0].']" value="'.$var_content[$fieldset[0]].'" size="'.trim($fieldset[3]).'" maxlength="'.trim($fieldset[3]).'" />';
							break;
						case 'color':
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							echo '<input type="text" class="text" id="actual_hover_'.$colNum.'" name="var['.$fieldset[0].']" value="'.$var_content[$fieldset[0]].'" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="actual_hover_'.$colNum.'_show" size="1" value="" style="cursor:pointer; width:20px" readonly onClick="whichColor=\'actual_hover_'.$colNum.'\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)"><script>colorList[colNum]="'.$colNum.'";colNum++;</script>';
							break;
						default:
                            echo '<td class="leftrow">'.$field_string.':</td>';
                            echo '<td class="rightrow">';
							echo '<input type="text" class="text inputwidth" name="var['.$fieldset[0].']" value="'.$var_content[$fieldset[0]].'" maxlength="255" />';
							break;
					}
					echo '</td>';
				echo '</tr>';
                $colNum++;
			}
?>
		
		
		<tr>
            <td class="leftrow">&nbsp;</td>
            <td class="rightrow">
                <input type="submit" class="button" value="<?php echo ___('save variables'); ?>" />
            </td>
        </tr>
        </tbody></table>
<script type="text/javascript"><!--
	colorize();
//--> </script>
<?php


// ==== footer =====
include('includes/producer.inc.php');
include(CPO_BASEDIR.'_include/footer.php');

?>