<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vars"                                                |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / August 2013

*/

if ($activeModules['Vars']['custom_fields'] && $activeModules['Vars']['role']<=$_SESSION['SID_user']['admin'])  {

	if (!function_exists('boxHeader'))  {
		function boxHeader($name, $text, $display)  {
			// the initial setting
			if ($display === false)  {
				$visibility = ' style="display:none"';
				$linkText = __('show');
			} else {
				$visibility = '';
				$linkText = __('hide');
			}
			// override with the chosen setting
			if ($_COOKIE[$name] == 'false')  {
				$visibility = ' style="display:none"';
				$linkText = __('show');
			} else if ($_COOKIE[$name] == 'true') {
				$visibility = '';
				$linkText = __('hide');
			}
			echo '<table class="colored" style="width: 100%;"><thead><tr><th><span><a href="#" onClick="ausblenden(\''.$name.'\', \''.$name.'link\');return false">' . $text . '</a></span></th><th style="text-align:right !important;"><span><a href="#" onClick="ausblenden(\''.$name.'\',\''.$name.'link\');return false" id="'.$name.'link">'.$linkText.'</a></span></th></tr></thead><tbody id="'.$name.'"'.$visibility.'>';
		}
	}

?>

<script type="text/javascript"><!--

	function ausblenden (boxID, link) {
		if(document.getElementById(link).innerHTML=='<?php echo __('hide'); ?>'){ 
		  document.getElementById(boxID).style.display = 'none';
		  document.getElementById(link).innerHTML='<?php echo __('show'); ?>';
		  setVarsCookie(boxID, false, 365);
		} else {
		  document.getElementById(boxID).style.display = '';
		  document.getElementById(link).innerHTML='<?php echo __('hide'); ?>';
		  setVarsCookie(boxID, true, 365);
		}
	}

	function setVarsCookie(name, value, expdays) {   // gltig expdays Tage
	  var now = new Date();
	  var exp = new Date(now.getTime() + (1000*60*60*24*expdays));
	  document.cookie = name + "=" + escape(value) + ";" +
						"expires=" + exp.toGMTString() + ";" +
						"path=/";
	}


//--> </script>

<?php

	// action!
	if (isset($_POST['save_vars'])) {
		$query_vars = "DELETE FROM ".$dbPrefix."_mod_vars WHERE rubric_id=".$_SESSION['SID_rubric_id']; 
		$db_vars = new DB;
		$db_vars->query($query_vars);
		foreach($_POST['var'] AS $var=>$value) {
			$query_vars = "INSERT INTO ".$dbPrefix."_mod_vars (rubric_id, var, value ) VALUES ('".$_SESSION['SID_rubric_id']."', '".$var."', '".$value."')"; 
			$db_vars->query($query_vars);
		}
		$message[] = __('Variables were saved!');
	}
	require(CPO_BASEDIR."_include/message.php");


	$query_vars = "SELECT * FROM ".$dbPrefix."_mod_vars WHERE rubric_id=".$_SESSION['SID_rubric_id']; 
    DEBUG(1, $query_vars, __FILE__, __LINE__);
    $db_vars = new DB;
    $db_vars->query($query_vars);
	while ($db_vars->next_record())  {
		$var_content[$db_vars->v('var')] = $db_vars->v('value');
	}
		
	// table header {{{
	boxHeader('vars', __('Variables'), true);
	// }}}

	$fields = explode("\n", trim($activeModules['Vars']['custom_fields']));
	foreach($fields AS $field)
	{	
		$fieldset = explode($paramsDivider, trim($field));
		switch (strtolower($fieldset[2])) {
			case 'comment':
				echo '<tr>';
				echo '<td class="leftrow" colspan="2">'.trim($fieldset[0]).'</td>';
				echo '</tr>';
				break;
			case 'color':
				echo '<tr>';
				echo '<td class="leftrow">'.trim($fieldset[0]).': </td><td class="rightrow"><INPUT TYPE="text" class="text" size="1" value="" style="height:15px;background-color:'.$var_content[trim($fieldset[0])].'; width:15px" readonly /> '.$var_content[trim($fieldset[0])].'</td>';
				echo '</tr>';
				break;
			case 'checkbox':
				echo '<tr>';
				$checked = ($var_content[$fieldset[0]]) ? ' checked="checked"' : '';
				echo '<td class="leftrow">'.trim($fieldset[0]).': </td><td><input disabled="disabled" type="checkbox" name="var['.$fieldset[0].']" value="1"'.$checked.' /></td>';
				echo '</tr>';
				break;
			default:
				echo '<tr>';
				echo '<td class="leftrow">'.trim($fieldset[0]).': </td><td class="rightrow">'.$var_content[trim($fieldset[0])].'</td>';
				echo '</tr>';
				break;
		}
	}

	echo '<tr>';
		echo '<td colspan="2"><a href="'.BASE_ABS.$activeModules['Vars']['directory'].'/edit.php"><img src="'.SKIN_URL.'edit.gif" width="20" height="18" align="absmiddle" /> '.__('-edit').'</a></td>';
	echo '</tr>';

	echo '</tbody></table>';

}

?>

